<?php

namespace App\Http\Controllers;

use DB;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Route;
use Spatie\Permission\Models\Permission;
use Yajra\Datatables\Datatables;
use Auth;
use App\Models\User;
use App\Models\ExtraService;
use App\Models\ServiceTypeCat;
use App\Models\TypeCatPrice;
use App\Models\ServiceType;
use App\Models\ServiceTypeCatRelation;
use App\Models\ServiceTypeExtraRelation;
use App\Models\Setting;
use App\Models\Address;

class BookingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $user_id = User::where("user_role","super")->value("id");
        $setting  = Setting::where("user_id",$user_id)->first();
        $serviceType = ServiceType::where("user_id",$user_id)->get();
        $serviceTypeCats = ServiceTypeCat::where("user_id",$user_id)->get();
        $defaultAddress  = Address::where("user_id",Auth::User()->id)->where("is_default",1)->first();
        return view("booking.create",["setting"=>$setting,"serviceType"=>$serviceType,"serviceTypeCats"=>$serviceTypeCats,"address"=>$defaultAddress]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function getBookCatServices(Request $request)
    {
        $user_id = User::where("user_role","super")->value("id");
        
        $serviceTypeCats = ServiceTypeCat::Join("service_type_cat_relation","service_type_cat_relation.cat_id",'=','service_type_cats.id')
        
        ->where("service_type_cat_relation.service_type_id",$request->id)
        
        ->where("service_type_cats.user_id",$user_id)
        ->select(['service_type_cats.name','service_type_cats.id'])
        ->get();
         
            if($serviceTypeCats)
            {
                foreach($serviceTypeCats as $stc)
                {
                    //$prices = $stc->catPrices()->get(); 
                    $prices = TypeCatPrice::where("cat_id",$stc->id)->get();
                    ?>
                    <div class="row mb-3">
                            <label class="col-md-2 col-form-label" for=""><?php echo $stc->name ?> *</label>
                           
                            <div class="col-md-10">
                               <select class="form-control" onchange="getCatPrice(this)" name='servicecat-<?php echo $stc->id ?>' >
                              
                               <?php
                                foreach($prices as $p){
                               ?>
                               
                                    <option data-price='{{ $p->price }}'  value="<?php echo $p->id ?>"><?php echo $p->label ?></option>
                               <?php
                               }
                               ?>
                               </select>
                            </div>
                            
                        </div>
                    <?php
                }
            }
            
    }
    
    public function getBookextServices(Request $request)
    {
         $user_id = User::where("user_role","super")->value("id");
        
        $extra = ExtraService::Join("service_type_extra_relation","service_type_extra_relation.extra_id",'=','extra_serviecs.id')
        ->where("service_type_extra_relation.service_type_id",$request->id)
        ->where("extra_serviecs.user_id",$user_id)
        ->select(['extra_serviecs.name','extra_serviecs.id'])
        ->get();
         foreach($extra as $ext)
         {
          ?>
          
          
                <div class="col-md-3">
                    <div class="custom-control form-check form-switch">
                      <input  type="checkbox" id="ext<?php echo $ext->id ?>" name="extraservice[]" value="<?php echo $ext->id ?>" class="form-check-input">
                      <label class="custom-control-label" for="ext<?php echo $ext->id ?>"><?php echo $ext->name ?></label>
                    </div>
                </div>
                
          
          <?php
          }
    }
}
