<?php

namespace App\Http\Controllers;

use DB;
use Illuminate\Http\Request;
use App\Http\Requests\StoreUserRequest;
use App\Http\Requests\UpdateUserRequest;
use Spatie\Permission\Models\Role;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Route;
use Spatie\Permission\Models\Permission;
use Yajra\Datatables\Datatables;
use Auth;
use App\Models\User;
use App\Models\ExtraService;
use App\Models\ServiceTypeCat;
use App\Models\TypeCatPrice;
use App\Models\ServiceType;
use App\Models\ServiceTypeCatRelation;
use App\Models\ServiceTypeExtraRelation;
use App\Models\Setting;
use App\Models\PaymentCard;
use App\Models\Address;
use App\Models\CustomerMeta;

class CustomerController extends Controller
{
    /**
     * Display all users
     * 
     * @return \Illuminate\Http\Response
     */
     public $user;
    

    public function __construct()
    {
      /*  $this->middleware('auth');
        $this->middleware(function ($request, $next) { 
         $user = User::find(Auth::User()->id);
        if($user->hasPermissionTo('customers'))
        {
            return $next($request);
        }else
        {
            return abort(401);
        }
        //return $next($request);
       });*/

    }
    public function index() 
    {
       // $users = User::latest()->paginate(10);

        //return view('users.index', compact('users'));
        return view('admin.customers.index',[]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() 
    {
        
        return view('admin.customers.create',[]
        );
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(User $user, Request $request) 
    {
        //For demo purposes only. When creating user or inviting a user
        // you should create a generated random password and email it to the user
       $user =  $user->create(['name'=>$request->name,"email"=>$request->email,"password"=>$request->password,"user_role"=>"customer","user_type"=>"web"]);

        return redirect()->route('customers.index')
            ->withSuccess(__('Customers created successfully.'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) 
    {
        //dd($user);
        $user = User::find($id);
        return view('admin.customers.edit', [
            'user' => $user,
            'userRole' => $user->roles->pluck('name')->toArray(),
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
     public function update($id, Request $request) 
    {
         $user = User::find($id);
         $data = array("name"=>$request->name,"email"=>$request->email);
         if($request->password!='')
         {
            $data['password'] = $request->passworrd;
         }        
        if($user->update($data))
        {
            return redirect()->route('customers.index')
            ->withSuccess(__('Customer updated successfully.'));
        }else
        {
            return redirect()->route('customers.index')
            ->withError(__('Error While saving customer.'));
        }

       // $user->syncRoles($request->get('role'));

        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
     /**
     * list user in datatable
     * 
     * @param Request $request
     * 
     * @return Datatable json object
     */
     
    public function tableList(Request $request)
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $users = User::with('roles')->where("user_type",'web')->where("user_role",'customer');
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($users)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
                 $edit = route('customers.edit', $user->id);
                 
                 
                $chk = ($user->status=='1') ? "checked":"";
                $b = '<a  href="'.$edit.'" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';
                $b.= '<a onclick="del_client('.$user->id.')" href="javascript:;" class="btn btn-sm btn-danger danger-alert"><i class="fa fa-trash"></i></a> ';                                
                $b.= '<a style="'.$hidetake.'" onclick="login_client('.$user->id.')" href="javascript:;" class="btn btn-sm btn-info info-alert"><i class="fas fa fa-power-off"></i></a> ';
                
                
                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
            ->editColumn('created_at',function($camp) {
                
              return $camp->created_at->format("Y-m-d h:i a");
            })
            ->removeColumn('password')
            ->rawColumns(['action'])
           // ->removeColumn('status')
            ->make(true);
    }
    
    public function billingInfo(Request $request)
    {
        return view("billinginfo.index",[]);
    }
    
    public function saveCard(Request $request)
    {
        //$customer_id = CustomerMeta::where("meta_key","customer_id")->where("user_id",Auth::User()->id)->value("meta_value");
        //dd($customer_id);
        $Stripe = new StripeController;
        $last4 = substr($request->cc_number, -4);
        $card_brand = $request->card;
        $findCard = PaymentCard::where("last4",$last4)->where("card_type",$card_brand)->where("user_id",Auth::User()->id)->count();
        if($findCard==0)
        {
            
            $PM = $Stripe->CreatePaymentMethod($request->cc_number,$request->exp_month,$request->exp_year,$request->cc_cvc); 
            if(isset($PM->id))
            {
                //payment_method_id
                $card = new PaymentCard;
                
                $card->payment_method_id = $PM->id;
                $card->user_id = Auth::User()->id;
                $card->card_type = $PM->card->brand;
                $card->exp_month = $PM->card->exp_month;
                $card->exp_year = $PM->card->exp_year;
                $card->last4 = $PM->card->last4;
                if($card->save())
                {
                    $address = Address::where("user_id",Auth::User()->id)->where("is_default",1)->first();
                    $customer_id = CustomerMeta::where("meta_key","customer_id")->where("user_id",Auth::User()->id)->value("meta_value");
                    if($customer_id==null)
                    {
                        $customer = $Stripe->CreateCustomer(
                        $address->address,
                        $address->city,
                        $address->state,
                        $address->zipcode,
                        Auth::User()->name,
                        Auth::User()->email,
                        $PM->id);
                        if(isset($customer->id))
                        {
                            $customer_id = $customer->id;
                            CustomerMeta::updateOrCreate(["user_id"=>Auth::User()->id,"meta_key"=>"customer_id"],['meta_value'=>$customer_id]);
                            
                            echo "1";
                            
                        }else
                        {
                            echo $customer;
                        }
                    }else
                    {
                        //add new card to customer
                        $attch = $Stripe->AttachPaymentMethod($customer_id,$PM->id);
                        if(isset($attch->id))
                        {
                            echo "1";
                        }else
                        {
                            echo $attch;
                        }
                        
                    }
                    
                }else
                {
                    echo "error while saving card!";
                }
            }else
            {
                echo $PM;
            }
        }else
        {
            echo "card already exists";
        }
        
        
        return "";
    }
    
    public function CardsList(Request $request)
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $users = PaymentCard::where("user_id",Auth::User()->id);
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($users)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
                 $edit = route('customers.edit', $user->id);
                 
                 
                $chk = ($user->status=='1') ? "checked":"";
                $b = '<a  href="'.$edit.'" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';                                

                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
            ->editColumn('created_at',function($camp) {
                
              return $camp->created_at->format("Y-m-d h:i a");
            })
            ->rawColumns(['action'])
           // ->removeColumn('status')
            ->make(true);
    }
    
    public function addressIndex()
    {
        return view("addresses.index",[]);
    }
    
    public function AddressList(Request $request)
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $users = Address::where("user_id",Auth::User()->id)->orderBy("is_default","desc");
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($users)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
                 $edit = route('customers.edit', $user->id);
                 
                 
                $chk = ($user->status=='1') ? "checked":"";
                $b = '<a  href="javascript:edit_entry('.$user->id.')" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';  
                $b .= '<a  href="javascript:del_client('.$user->id.')" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></a> ';                               

                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
            ->editColumn('created_at',function($camp) {
                
              return $camp->created_at->format("Y-m-d h:i a");
            })->editColumn('address',function($camp) {
                
                if($camp->is_default=='1')
                {
                   return  $camp->address." ".'<span class="badge bg-success">Default</span>';
                }
              return $camp->address;
            })
            
            ->rawColumns(['action',"address"])
           // ->removeColumn('status')
            ->make(true);
    }
    
    public function saveAddress(Request $request)
    {
        $address = new Address;
        $address->address = $request->address;
        $address->city = $request->city;
        $address->state = $request->state;
        $address->zipcode = $request->zipcode;
        $address->user_id = Auth::User()->id;
        $address->is_default = 0;
        if(isset($request->is_default))
        {
            Address::where("user_id",Auth::User()->id)->update(["is_default"=>0]);
            $address->is_default = 1;
        }
        if($address->save())
        {
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
    }
    public function getAddress(Request $request)
    {
        return Address::find($request->id);
    }
    public function delAddress(Request $request)
    {
        $del = Address::where("id",$request->id)->delete();
        if($del)
        {
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
    }
    
}
