<?php

namespace App\Http\Controllers;

use DB;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Route;
use Spatie\Permission\Models\Permission;
use Yajra\Datatables\Datatables;
use Auth;
use App\Models\User;
use App\Models\ExtraService;

class ExtraServiceController extends Controller
{
    function __construct()
    {
        $this->middleware(function ($request, $next) { 
         $user = User::find(Auth::User()->id);
        if($user->hasPermissionTo('extra-services'))
        {
            return $next($request);
        }else
        {
            return abort(401);
        }
        //return $next($request);
       });
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view("admin.servies.extra",[]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $user_id = User::where("user_role","super")->value("id");
        $exSer = new ExtraService;
        if($request->id!='')
        {
           $exSer = $exSer->findOrFail($request->id); 
        }
        $exSer->name    =   $request->name;
        $exSer->price    =   $request->price;
        $exSer->user_id =   $user_id;
        if($exSer->save())
        {
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        return ExtraService::find($id);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    /**
     * Delete service data
     * 
     * @param Request $request
     * 
     * @return \Illuminate\Http\Response
     */
     public function delSerivce(Request $request) 
    {
        if($request->id!='')
        {
            $us = ExtraService::where("id",$request->id)->delete();
            if($us)
            {
                //DB::table("role_has_permissions")->where("role_id",$request->id)->delete();
                echo "1";
            }else
            {
                echo "0";
            }
            
        }
        return "";
    }
    
     public function tableList()
    {
        //dd(User::with('role')->get()->toArray());
        //$users = User::where("user_type",'web');
        $roles = ExtraService::where("name",'!=','');
       // $users = User::join("model_has_roles","model_has_roles.modal_id",'=',"users.id")->where("users.user_type",'web');
            return Datatables::of($roles)    
            ->addColumn('action', function ($user) {

                 //$hidetake = "display:none;";
                 $hidetake = "";
                // $edit = route('roles.edit', $user->id);
                $chk = ($user->status=='1') ? "checked":"";
                $b = '<a  href="javascript:edit_entry('.$user->id.')" class="btn btn-sm btn-primary"><i class="fa fa-edit"></i></a> ';
                $b.= '<a onclick="del_client('.$user->id.')" href="javascript:;" class="btn btn-sm btn-danger danger-alert"><i class="fa fa-trash"></i></a> ';                                
                
                
                
                //$b.='<div class="my_switch make-switch"> <input type="checkbox" name="user_st" value="'.$user->id.'" checked /></div>';
                return $b;
            })
            
            ->editColumn('created_at',function($camp) {
                
              return $camp->created_at->format("Y-m-d h:i a");
            })
            ->rawColumns(['action'])
           // ->removeColumn('status')
            ->make(true);
    }
}
