<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Setting;
use Auth;
use Carbon\Carbon;
use App\Models\ApptTime;
use App\Models\Reminder;
use App\Models\Appointment;
use DB;
class SettingController extends Controller
{
    //
    
    public function index()
    {
        $user_id = User::where("user_role","super")->value("id");
        
        $timezones  = TimeZoneController::getTimeZones();
        $data = Setting::where("user_id",$user_id)->first();
        $url = "https://$data->twilio_sid:$data->twilio_token@api.twilio.com/2010-04-01/Accounts/$data->twilio_sid/IncomingPhoneNumbers.json?PageSize=100";
        $number = $this->Curl($url,'','get');
        $booklytime  = ApptTime::where('user_id',$user_id)->get();
        $reminders = Reminder::where("user_id",$user_id)->get();
        $remindersCount = Reminder::where("user_id",$user_id)->count();
        return view('admin.settings.index',['data'=>$data,
        'timezones'=>$timezones,
        "number"=>$number,
        "booklytime"=>$booklytime,
        "reminderCount"=>$remindersCount,
        "reminders"=>$reminders
        ]);
    }
    
    public function saveSettings(Request $request)
    {
        $user_id = User::where("user_role","super")->value("id");
        if(isset($request->welcome))
        {
            $set = Setting::where("user_id",$user_id)->update(['welcome_msg'=>$request->welcome_msg]);
            if($set)
            {
                echo "1";
            }
            else
            {
                echo "0";
            }
            return "";
        }
        if(Setting::where("user_id",$user_id)->count()>0)
        {
            $set = Setting::where("user_id",$user_id)->first();
        }else
        {
            $set = new Setting;
        }
        $set->twilio_sid = $request->twilio_sid;
        $set->twilio_token = $request->twilio_token;
        $set->timezone = $request->timezone;
        $set->time_interval = $request->time_interval;
        $set->hour_interval = $request->hour_interval;
        $set->user_id = $user_id;
        $set->appt_book_msg = $request->appt_book_msg;
        $set->appt_confirm_msg = $request->appt_confirm_msg;
        $set->appt_cancel_msg = $request->appt_cancel_msg;
        
        $set->discount_monthly = $request->discount_monthly;
        $set->discount_biweekly = $request->discount_biweekly;
        $set->discount_weekly = $request->discount_weekly;
        //$set->wrong_ans_trigger = $request->wrong_ans_trigger;
        if($request->twilio_number!="" && $request->twilio_number!="Select Number")
            {
                    $num = explode('|',$request->twilio_number);
                    $set->twilio_number = $num[1];
            }else
            {
                $set->twilio_number = '';
            }
            if(isset($request->enable_multi_appts))
            {
               $set->enable_multi_appts = "yes"; 
            }else
            {
                 $set->enable_multi_appts = "no"; 
            }
        if($set->save())
        {
            if($request->days)
            {
               if(count($request->days)>0)
                {
                    foreach($request->days as $day_k=>$day_v)
                    {
                        $appt_obj = new ApptTime();
                        if($request->bus_time_id[$day_k]!="")
                        {
                            $appt_obj = $appt_obj->findOrFail($request->bus_time_id[$day_k]);
                        }

                       
                        $appt_obj->user_id          = $user_id;
                        $appt_obj->day              = $request->days[$day_k];
                        $appt_obj->start_interval   = $request->start_interval[$day_k];
                        $appt_obj->end_interval     = $request->end_interval[$day_k];

                         if(isset($request->is_enabled[$request->days[$day_k]]))
                         {
                            //echo $day_k;
                            $appt_obj->is_enabled = 'yes';
                         }else
                         {
                            $appt_obj->is_enabled = 'no';
                         }
                        $appt_obj->save();

                    }
                }
            }
            
            if(isset($request->oid))
            {
                $respose = array();
                $respose['fol_id'] = array();
                $rem_arr = $request->oid;
                        if(count($rem_arr)>0)
                        {
                            //print_r($rem_arr);
                            //die();
                            foreach($rem_arr as $rem_k=>$rem_v)
                            {
                                $cm_obj = new Reminder();
                                if($request->oid[$rem_k]!="")
                                {
                                    $cm_obj = $cm_obj->findOrFail($request->oid[$rem_k]);
                                }
                                //$cm_obj->fill($rem_v);
                                $cm_obj->noti_day = $request->noti_day[$rem_k];
                                $cm_obj->noti_time = $request->noti_time[$rem_k];
                                $cm_obj->noti_text = $request->noti_text[$rem_k];
                                $cm_obj->user_id = $user_id;
                                $cm_obj->send_by = $request->send_by[$rem_k];
                                $cm_obj->noti_hours = $request->noti_hours[$rem_k];
                                $cm_obj->noti_mins = $request->noti_mins[$rem_k];
                                $cm_obj->save();
                                //array_push($respose['fol_id'],$cm_obj->id);
                            }
                        }
                        //$respose["success"] = true;
                        //$respose["bot_id"] = $request->id;
                    //$respose["camp_id"] = $camp->id;
                        //echo json_encode($respose);
                        //return "";
            }
            
            
            
            echo "1";
            $cc = array("SmsUrl"=>url('/sms/controlling'));
            if($request->twilio_number!=""  && $request->twilio_number!="Select Number")
            {
                self::set_num_url_ci($cc,$num[0],$request->twilio_sid,$request->twilio_token);
            }
        }
        else
        {
            echo "0";
        }
        return "";
    }
    
    public static function set_num_url_ci($val,$num_sid,$TwilioSid,$TwilioToken) //AT TIME OF CLIENT CREATION IN ADMIN SIDE
    {
        //self::__construct();
        //print_r($val);
        
        
        $url = "https://$TwilioSid:$TwilioToken@api.twilio.com/2010-04-01/Accounts/$TwilioSid/IncomingPhoneNumbers/$num_sid.json";
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
        curl_setopt($ch, CURLOPT_POSTFIELDS,$val);
         $response = curl_exec($ch);
        curl_close($ch);
        //return $response;
    }
     public function Curl($url,$body,$method)
    {
        
            if(is_array($body))
            $body=http_build_query($body); 
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url );
            //curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 100);
            //curl_setopt($ch, CURLOPT_TIMEOUT, 100);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true );
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
            //curl_setopt($ch, CURLOPT_PUT, true );
            if($method == "post")
            curl_setopt($ch, CURLOPT_POST, true );
            if($method == "get")
            curl_setopt($ch, CURLOPT_HTTPGET, true ); 
            if($method=="put")
            {
                 curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
            }     
            if($method=="delete")
            {
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
            }
            //curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
        
            //curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
        
            if($body!="")
        
            curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
        
            //curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
        
            $filecontents=curl_exec($ch);
        
            curl_close($ch);
        
            return $filecontents;

    }
   public function getNums(Request $request)
   {
            $used_num = array();
            $did_num = array();
            if($request->sid!="" && $request->token)
            {
               
                    $user_id = Auth::User()->id;
                    
            
                $url = "https://$request->sid:$request->token@api.twilio.com/2010-04-01/Accounts/$request->sid/IncomingPhoneNumbers.json?PageSize=100";
                $res = $this->Curl($url,'','get');
                $number = json_decode($res);
                ?>
                <option value=''>Select Number</option>
                <?php
                 if(isset($number->incoming_phone_numbers))
                      {
                            foreach($number->incoming_phone_numbers as $num){
                           
                            if(!in_array($num->phone_number,$used_num))
                            {
                                if(in_array($num->phone_number,$did_num))
                                echo "<option value='$num->sid|$num->phone_number'>$num->phone_number(Dedicated)</option>";
                                else
                                 echo "<option value='$num->sid|$num->phone_number'>$num->phone_number $num->friendly_name</option>";
                            }
                            
                         }
                    }   
                return "";
            
       }
   }
   
    public function addReminder()
    {
        return view("admin.settings.reminder",[]);
    } 
    
    public function delReminder(Request $request)
    {
        $fol = Reminder::where("id",$request->id)->delete();
        if($fol)
        {
            echo "1";
        }else
        {
            echo "0";
        }
        return "";
    }
    
    public function ReminderCron()
    {
        //die();
        $max_day = DB::table('appt_reminders')
        //->where('send_by', '=', 'time')
        ->max('noti_day');
        if($max_day>=0){
              $twilio = New TwilioController;
              $tags = array("%first_name%","%last_name%","%email%","%phone%","%company%","%city%","%state%","%zip%","%country%","%appt_link%");
            for($i=$max_day; $i>=0; $i--){
                
                $noti_day = DB::table('appt_reminders')
                ->where('noti_day', '=', $i)
                ->get();
                
                if($noti_day){
                    if(count($noti_day)>0){
                        foreach($noti_day as $k=>$v){
                            $user_id    = $v->user_id;
                            
                            $setting = Setting::where("user_id",$user_id)->first();
                            if($setting->timezone!='' || $setting->timezone != null){
                                    $TimeZoneValue = preg_replace('/\-/', '/', $setting->timezone);
                                    date_default_timezone_set($TimeZoneValue);
                                }else{
                                    date_default_timezone_set('America/Chicago');
                                }
                                
                                /*$appts = Appointment::whereRaw("appt_status = 'scheduled' and (
                                             (
                                                IF(YEAR(curdate()) % 4 = 0 && YEAR(schedule_date) % 4 = 0,DAYOFYEAR(curdate()),
                                        			IF(YEAR(curdate()) % 4 = 0 && YEAR(schedule_date) % 4 != 0,DAYOFYEAR(curdate())-1,
                                        				IF(YEAR(curdate()) % 4 != 0 && YEAR(schedule_date) % 4 = 0,DAYOFYEAR(curdate()+1),DAYOFYEAR(curdate())
                                        			)		
                                        		)
                                             ) <= DAYOFYEAR(schedule_date) ) AND ( ABS(
                                             
                                             
                                                IF(YEAR(curdate()) % 4 = 0 && YEAR(schedule_date) % 4 = 0,DAYOFYEAR(curdate()),
                                        			IF(YEAR(curdate()) % 4 = 0 && YEAR(schedule_date) % 4 != 0,DAYOFYEAR(curdate())-1,
                                        				IF(YEAR(curdate()) % 4 != 0 && YEAR(schedule_date) % 4 = 0,DAYOFYEAR(curdate())+1,DAYOFYEAR(curdate())
                                        			)		
                                        		)
                                                  
                                                )
                                              - 
                                              DAYOFYEAR(schedule_date) 
                                              
                                              
                                              ) = $v->noti_day ))" )
                                               
                                                ->get();*/
                                                if($v->send_by=='days')
                                                {
                                                    echo $current_Date = date("Y-m-d H:i");
                                                    $send_hour = false;
                                                            
                                                    if($v->noti_day>0)
                                                    {
                                                        $notiday = "-$v->noti_day";
                                                    }else
                                                    {
                                                        $notiday = $v->noti_day;
                                                    }
                                                    //$subscribers = Subscriber::whereRaw("created_at >= DATE_ADD(CURDATE(), INTERVAL $notiday DAY)")
                                                    //$subscribers = QueueMsg::where("is_first","yes")->whereRaw("DATEDIFF('$current_Date',queued_at)= $v->days_to_send")
                                                    $subscribers = Appointment::whereRaw("appt_status!='cancelled' and DATEDIFF(schedule_date,'$current_Date')= $v->noti_day")->where("user_id",$user_id)
                                                    
                                                    ->get();
                                                }
                                                else if($v->send_by=='hours') 
                                                {
                                                        $subscribers = array();
                                                        $current_Date = Carbon::now($TimeZoneValue)->format("Y-m-d H:i");
                                                        $send_hour = true;
                                                        if($v->noti_hours!="")
                                                        {
                                                            echo $mins = ($v->noti_hours * 60) - ($v->noti_hours*10);
                                                            
                                                            $subscribers = Appointment::whereRaw("
                                                            appt_status!='cancelled'
                                                            and
                                                            '$current_Date' >= DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(schedule_date) + 450) DIV 900) * 900), INTERVAL -$v->noti_hours HOUR)
                                                            and
                                                            '$current_Date' <= DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(schedule_date) + 450) DIV 900) * 900), INTERVAL -$mins MINUTE)
                                                            ")->where("user_id",$user_id)
                                                            
                                                            ->get();
                                                           
                                                        }
                                                }
                                                else
                                                    {
                                                        echo "in mins";
                                                        $subscribers = array();
                                                        $current_Date = Carbon::now($TimeZoneValue)->format("Y-m-d H:i");
                                                        $send_hour = true;
                                                        if($v->noti_mins!="")
                                                        {
                                                            $mins = $v->noti_mins;
                                                            $subscribers = Appointment::whereRaw("
                                                            appt_status!='cancelled'
                                                            and
                                                            '$current_Date' >= DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(schedule_date) + 450) DIV 900) * 900), INTERVAL -$v->noti_mins MINUTE)
                                                            and
                                                            '$current_Date' <= DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(schedule_date) + 450) DIV 900) * 900), INTERVAL -10 MINUTE)
                                                            ")->where("user_id",$user_id)
                                                            
                                                            ->get();
                                                            //echo "SELECT * FROM `subscribers` where '$current_Date' = DATE_ADD(FROM_UNIXTIME(((UNIX_TIMESTAMP(created_at) + 450) DIV 900) * 900), INTERVAL $v->noti_hours HOUR)";
                                                        }
                                                    }
                                                if($subscribers)
                                                {
                                                    //foreach($subscribers as $appt)
                                                    //{
                                                        
                                                        echo "in subscribers <br>";
                                                                $noti_time = strtotime($v->noti_time);
                                                               // echo "Camp = $v->campaign_id = ".(time()-$noti_time)."<br>";
                                                                
                                                                if ( $send_hour || ( ((time()-$noti_time) >= 0) && ((time()-$noti_time) <= 600) ) ) {  //check before next 10 min in seconds
                                                                    foreach($subscribers as $queue)    
                                                                    { 
                                                                            $appt_url = env("APP_URL")."booking/$queue->subscriber_id";
                                                                            $appt_url2 = $this->tinyrul($appt_url);
                                                                            if($appt_url2!='Error')
                                                                            {
                                                                                $appt_url = $appt_url2;
                                                                            }
                                                                            $sub = Subscriber::where("id",$queue->subscriber_id)->first();
                                                                        
                                                                            $conversation = Conversation::where("subscriber_id",$sub->id)->first();
                                                                            if(!$conversation)
                                                                            {
                                                                                //$conversation =  $twilio->createConv($setting->twilio_number,$sub->phone,$Body,$sub->user_id,"user",$SmsSid);
                                                                                $coversation = new Conversation;
                                                                                $coversation->user_id = $sub->phone->user_id;
                                                                                $coversation->subscriber_id = $sub->phone->id;
                                                                                $coversation->from_num = $setting->twilio_number;
                                                                                $coversation->to_num = $sub->phone;
                                                                                $coversation->save();
                                                                                
                                                                            }
                                                        
                                                                            $replace = array($sub->first_name,$sub->last_name,$sub->email,$sub->phone,$sub->company,$sub->city,$sub->state,$sub->zip,$sub->country,$appt_url);
                                                                            $Body  = str_replace($tags,$replace,$v->noti_text);
                                                                            
                                                                            $smsres = $twilio->send_sms($sub->phone,$setting->twilio_number,$Body,$sub->user_id);
                                                                            
                                                                            $check = (array)simplexml_load_string($smsres);
                                                                            $sid2 = "";
                                                                            if(!isset($check['RestException']))
                                                                            {
                                                                                $delivery_status = '1';
                                                                                $sid2 = $check['Message']->Sid;
                                                                                
                                                                            }
                                                                            $twilio->saveChat($setting->twilio_number,$sub->phone,$Body,$conversation,$sub,"user",$sid2);
                                                                        
                                                                        
                                                                        
                                                                    }
                                                                }
                                                        //}
                                                    }
                                                }
                            }
                        }
                    }
                }
    }
    public function tinyrul($url)
       {
            $url="http://tinyurl.com/api-create.php?url=".$url;
            $ch = curl_init($url);//Here is the file we are downloading, replace spaces with %20
            curl_setopt($ch, CURLOPT_TIMEOUT, 0);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20110814 Firefox/6.0');
            $data = curl_exec($ch);//get curl response
            curl_close($ch);
            //echo "tinyresponse";
            //var_dump($data);
            return $data;
       }
}
                        
