<?php

namespace App\Http\Controllers;

use DB;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Route;
use Spatie\Permission\Models\Permission;
use Yajra\Datatables\Datatables;
use Auth;
use App\Models\User;
use App\Models\ExtraService;
use App\Models\ServiceTypeCat;
use App\Models\TypeCatPrice;
use App\Models\ServiceType;
use App\Models\ServiceTypeCatRelation;
use App\Models\ServiceTypeExtraRelation;
use App\Models\Setting;
use App\Models\CustomerMeta;

class StripeController extends Controller
{
    //
    public $StripPublicKey = 'sk_test_oZMDFToNM7UPAdPZWEr7K0aZ';
    
    public function CreatePaymentMethod($number,$expMonth,$expYear,$cvc)
    {
        try{
              $stripe = new \Stripe\StripeClient(
              $this->StripPublicKey
            );
          return   $obj = $stripe->paymentMethods->create([
              'type' => 'card',
              'card' => [
                'number' => $number,
                'exp_month' => $expMonth,
                'exp_year' => $expYear,
                'cvc' => $cvc,
              ],
            ]);
        }
        catch(\Stripe\Exception\CardException $e){
            // echo "case PaymentMethod";
            return $e->getMessage();
        }
      
    }
    
    public function AttachPaymentMethod($customerID,$pmID)
    {
        try{
            
                $stripe = new \Stripe\StripeClient(
                              $this->StripPublicKey
                            );
                          return $dd =   $stripe->paymentMethods->attach(
                              $pmID,
                              ['customer' => $customerID]
                            );
        }catch(\Stripe\Exception\InvalidRequestException $e)
        {
            return $e->getMessage();
        }
    }
    
    public function CreateCustomer($address,$city,$state,$zipcode,$fullname,$email,$pmID)
    {
        $myaddressarray = array(
                   "line1" => $address,
                   "city" => $city,
                   "state" => $state,
                  "postal_code" => $zipcode
                );
        try
        {
            $stripe = new \Stripe\StripeClient(
                  $this->StripPublicKey
                );
             return $customer =    $stripe->customers->create([
                  'description' => 'Cleanly Customer',
                   "name" => $fullname,
                   "email" => $email,
                   "address"=>$myaddressarray,
                   "payment_method"=>$pmID
                ]);
        }catch(\Stripe\Exception\InvalidRequestException $e){
           // echo "case customer";
             return $e->getMessage();
        }
    }
    
    public function CreatePaymentIntent($amount,$pmID,$customer)
    { 
        try
        {
            $stripe = new \Stripe\StripeClient(
                  $this->StripPublicKey
                );
               return $stripe->paymentIntents->create([
                  'amount' => $amount,
                  'currency' => 'usd',
                  'payment_method_types' => ['card'],
                  "payment_method"=>$pmID,
                  "customer"=>$customer,
                  'confirm'=>true,
                  "off_session"=>true
                ]);
        }catch(\Stripe\Exception\InvalidRequestException $e){
           // echo "case Payment Intent";
          //return  $e->getMessage();
           return  "case Payment Intent = ".$e->getMessage();
        }
    }
    public function CapturePaymentIntent($PI)
    {
        try
        {
            $stripe = new \Stripe\StripeClient(
                  $PI
                );
               return $stripe->paymentIntents->capture(
                  $PI,
                  []
                );
        }catch(\Stripe\Exception\InvalidRequestException $e){
           // echo "case Payment Intent";
           return  "case capture =".$e->getMessage();
        }
    }
    
    public function CreateSetupIntent($pmID,$Customer)
    {
        try
        {
            $stripe = new \Stripe\StripeClient(
                  $this->StripPublicKey
                );
               return $stripe->setupIntents->create([
                  'payment_method_types' => ['card'],
                  'confirm'=>true,
                  "customer"=>$Customer,
                  "payment_method"=>$pmID
                ]);
        }catch(\Stripe\Exception\InvalidRequestException $e)
        {
           // echo "case SetupIntent";
             return  $e->getMessage();
        }
    }
    public function StripeFlow()
    {
        echo "<pre>";
        /**Card**/
        $number="2223003122003222";
        $expMonth="12";
        $expYear="2023";
        $cvc="123";
       
      $PM =  $this->CreatePaymentMethod($number,$expMonth,$expYear,$cvc);
      dd($PM);
      
      if(isset($PM->id))
      {
        /**Customer **/
        $address = "East Side Canal Road";
        $city =  "New York";
        $state = "NY";       
        $zipcode = "10001";
        $fullname = "Sajawal Naseer";
        $email = "sajwal1@cleanly.com";
        //"Payment Method ID = ".$pmID = $PM->id;
        
        $customer =  $this->CreateCustomer($address,$city,$state,$zipcode,$fullname,$email,$pmID);
        if(isset($customer->id))
        {
            echo "Customer ID = ".$customer->id;
        
            $paymentIntent =  $this->CreatePaymentIntent((20*100),$pmID,$customer->id);
            print_r($paymentIntent);
            if(isset($paymentIntent->id))
            {
                echo "PaymentIntent ID = ".$paymentIntent->id;
                //$captureRes = $this->CapturePaymentIntent($paymentIntent->id);
               // print_r($captureRes);
            }else
            {
                echo $paymentIntent;
            }
            
            
            
        }else
        {
            echo $customer;
        }
        
        
      }else
      {
        echo $PM;
      }
      //print_r($PM);
       die();
        
     
     
      //print_r($customer);
     
    }
}
