<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Auth;
use Carbon\Carbon;

class ServiceType extends Model
{
    use HasFactory;
     /**

     * The attributes that are mass assignable.

     *

     * @var array

     */
    protected $table = "service_types";
    protected $fillable = [];
    
    public function catRelation()
    {
        return $this->hasMany(ServiceTypeCatRelation::class,'service_type_id','id');
    }

    public function extRelation()
    {
        return $this->hasMany(ServiceTypeExtraRelation::class,'service_type_id','id');
    }
    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
     
    public function getCreatedatAttribute($value)
        {
             $user_id = Auth::User()->id;
            if(Auth::User()->user_type=='backoffice')
            {
                $user_id = User::where("user_type","super")->value("id");
            }
            $timezone = \App\Models\Setting::where("user_id",$user_id)->value("timezone");
            $timezone = preg_replace('/\-/', '/', $timezone);
              if($timezone=='' || $timezone==null){
                $timezone = 'America/Chicago';
              }
              //echo $timzon;
            $date =  Carbon::createFromFormat('Y-m-d H:i:s', $value, 'UTC')
            ->setTimezone($timezone);
            return  $date;
    
        }
    protected $casts = [

        'created_at' => 'datetime:Y-m-d',

    ];
}
