<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Spatie\Permission\Traits\HasRoles;
use Illuminate\Support\Facades\Hash;
use Auth;
use Carbon\Carbon;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable, HasRoles;
    

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        "user_role"
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    
    public function setPasswordAttribute($value) {
        $this->attributes['password'] = Hash::make($value);
    }
    
    /*public function getCreatedAtAttribute($value)
    {
        //return $this->attributes['created_at'] = $value."yes";
        /*if(isset(Auth::User()->id))
        {
            $timezone = \App\TwowaySetting::where("user_id",Auth::User()->id)->value("timezone");
            $timezone = preg_replace('/\-/', '/', $timezone);
              if($timezone=='' || $timezone==null){
                $timezone = 'America/Chicago';
              }
              //echo $timzon;
            $value =  Carbon::createFromFormat('Y-m-d H:i:s', $value, 'UTC')
            ->setTimezone($timezone);
        }*/
        //$value =  Carbon::createFromFormat('Y-m-d H:i:s', $value, 'UTC');
       // return  Carbon::parse($value);

    //}*/
}
