@extends('layouts.app')

@section('content') 
<?php
$states = json_decode('{
    "AL": "Alabama",
    "AK": "Alaska",
    "AS": "American Samoa",
    "AZ": "Arizona",
    "AR": "Arkansas",
    "CA": "California",
    "CO": "Colorado",
    "CT": "Connecticut",
    "DE": "Delaware",
    "DC": "District Of Columbia",
    "FM": "Federated States Of Micronesia",
    "FL": "Florida",
    "GA": "Georgia",
    "GU": "Guam",
    "HI": "Hawaii",
    "ID": "Idaho",
    "IL": "Illinois",
    "IN": "Indiana",
    "IA": "Iowa",
    "KS": "Kansas",
    "KY": "Kentucky",
    "LA": "Louisiana",
    "ME": "Maine",
    "MH": "Marshall Islands",
    "MD": "Maryland",
    "MA": "Massachusetts",
    "MI": "Michigan",
    "MN": "Minnesota",
    "MS": "Mississippi",
    "MO": "Missouri",
    "MT": "Montana",
    "NE": "Nebraska",
    "NV": "Nevada",
    "NH": "New Hampshire",
    "NJ": "New Jersey",
    "NM": "New Mexico",
    "NY": "New York",
    "NC": "North Carolina",
    "ND": "North Dakota",
    "MP": "Northern Mariana Islands",
    "OH": "Ohio",
    "OK": "Oklahoma",
    "OR": "Oregon",
    "PW": "Palau",
    "PA": "Pennsylvania",
    "PR": "Puerto Rico",
    "RI": "Rhode Island",
    "SC": "South Carolina",
    "SD": "South Dakota",
    "TN": "Tennessee",
    "TX": "Texas",
    "UT": "Utah",
    "VT": "Vermont",
    "VI": "Virgin Islands",
    "VA": "Virginia",
    "WA": "Washington",
    "WV": "West Virginia",
    "WI": "Wisconsin",
    "WY": "Wyoming"
}');
?>
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Manage Addresses</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Manage Addresses</li>
        </ol>
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800"></h1>
            <a href="javascript:showMod()" class=" btn btn-sm btn-cleanly shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Add Address</a>
    </div>
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                             <h5 class="card-title"><i class="fas fa-location me-1"></i> Addresses List</h5>
                                 <div class="table-responsive">
                                 <table class="table table-striped" id="dataTable" width="100%" cellspacing="0">
                                            <thead>
                                                <tr>
                                                    <th>Address</th>
                                                    <th>City</th>
                                                    <th>State</th>
                                                    <th>Zipcode</th>
                                                    <th>Created At</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                            </div>
         </div>
     </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Address Information</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <form id="package_form" method="post">
                @csrf
                <input type="hidden" name="id" />
                    
                  <div class="row gy-3">
                      
            
                        <div class="col-md-12">
                          <label  class="form-label">Address</label>
                          <input type="text" name='address' class="form-control" id="" placeholder="" required="">
                          
                          <div class="invalid-feedback log">
                            Credit card number is required
                          </div>
                        </div>
            
                        <div class="col-md-4">
                          <label  class="form-label">City</label>
                          <input type="text" name='city' class="form-control" id="" placeholder="" required="">
                          
                        </div>
                        
                         <div class="col-md-4">
                          <label class="form-label">State</label>
                          <select class="form-control" name="state">
                            <?php
                          
                            foreach($states as $k=>$name) {
                                    print '<option value="'.$k.'">'.$name.'</option>';
                                }
                            ?>
                          </select>
                          
                        
                        </div>
            
                        <div class="col-md-4">
                          <label  class="form-label">Zip Code</label>
                          <input name="zipcode" class="form-control" placeholder="" required="">
                          
                        </div>
                        
                         <div class="col-md-12">
                          <div class="form-check">
                            <input class="form-check-input" name="is_default" type="checkbox" id="disabledFieldsetCheck">
                            <label class="form-check-label" for="disabledFieldsetCheck">
                              Default Address
                            </label>
                          </div>
                          </div>
                       
                      </div>
                       
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button form="package_form" type="submit" class="btn btn-primary">Save</button>
              </div>
            </div>
          </div>
        </div>
    
@endsection

@section('script')
<script src="//cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/1.12.1/js/dataTables.bootstrap5.min.js"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="{{ url('/theme/js/jquery.creditCardValidator.js') }}"></script>

<script>

function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover this role!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delAddress') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! Service successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}
function showMod()
{
    $("#package_form")[0].reset();
     $('input[name="id"]').val('');
     $("#exampleModal").modal('show');
}
function edit_entry(id)
{
    $("#package_form")[0].reset();
    
    blockUI();
    var url = "{{ route('getAddress') }}?id="+id;
        $.get(url,function(res){
           // $("#loading").hide();
            $.unblockUI();
           //var obj  = JSON.parse(res);
          
            $('input[name="id"]').val(res.id);
            $('input[name="address"]').val(res.address);
            $('input[name="city"]').val(res.city);
            $('input[name="zipcode"]').val(res.zipcode);
            
            if(res.is_default==1)
            {
                $('input[name="is_default"]').attr("checked",true);
            }else
            {
                $('input[name="is_default"]').attr("checked",false);
            }
            
            
              $("#exampleModal").modal('show');
        })
    
    
        
      
    
}

    $(document).ready(function(){
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('AddressList') !!}",
                    columns: [
                        
                        { data: 'address', name: 'address' },
                        { data: 'city', name: 'city' },
                        { data: 'state', name: 'state' },
                        { data: 'zipcode', name: 'zipcode' },
                        { data: 'created_at', name: 'created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                $("#package_form").submit(function(){
                   
                        blockUI();
                        $.post('{{ route("saveAddress") }}',$(this).serialize(),function(res){
                            $.unblockUI();
                            if(res=='1')
                            {
                                $("#package_form")[0].reset();
                                $("#exampleModal").modal('hide');
                                swal("Done! Address saved successfully!", {
                                    icon: "success",
                                });
                                $('#dataTable').DataTable().ajax.reload();
                            }else
                            {
                                swal("Error! error while saving!", {
                                    icon: "error",
                                });
                            }
                        });
                        return false;
                       });         
                        
                    });
        

</script>
@endsection