@extends('layouts.app')

@section('content') 
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Customers</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Customer</li>
        </ol>
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        
            <h1 class="h3 mb-0 text-gray-800"></h1>
            <a href="{{ route('customers.create') }}" class=" btn btn-sm btn-cleanly shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Add Customer</a>
            
        </div>
        
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         
         <div class="card mb-4">
                            
                            <div class="card-body">
                            <h5 class="card-title"><i class="fas fa-users me-1"></i> Customer's List</h5>
                                 <div class="table-responsive">
                                     <table class="table table-striped" id="dataTable" width="100%" cellspacing="0">
                                            <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>Name</th>
                                                    <th>Email</th>
                                                    <th>Status</th>
                                                    <th>Created Date</th>
                                                    <th>Action</th>
                                                </tr>
                                                </thead>
                        
                        
                                                <tbody>
                                                
                                                </tbody>
                                     </table>
                                </div>
                            </div>
         </div>
     </div>
    
    
@endsection

@section('script')
<script src="//cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/1.12.1/js/dataTables.bootstrap5.min.js"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover user!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delUser') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! User successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}
function login_client(x){
            window.location = "{{ route('login-client') }}?id="+x;
        }

    $(document).ready(function(){
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('getCustomers') !!}",
                    columns: [
                        { data: 'id', name: 'id' },
                        { data: 'name', name: 'name' },
                        { data: 'email', name: 'email' },
                        { data: 'user_status', name: 'user_status' },
                        { data: 'created_at', name: 'created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
        
    });
</script>
@endsection
