@extends('layouts.app')


@section('content') 
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Add new role and assign permissions.</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Roles</li>
        </ol>
        
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                             <h5 class="card-title"><i class="fas fa-users-between-lines me-1"></i> Add Role</h5>
                                  @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                                <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                                </ul>
                            </div>
                        @endif
            
                        <form method="POST" action="{{ route('roles.store') }}">
                            
                            @csrf
                            <div class="mb-3">
                                <label for="name" class="form-label">Name</label>
                                <input value="{{ old('name') }}" 
                                    type="text" 
                                    class="form-control" 
                                    name="name" 
                                    placeholder="Name" required>
                            </div>
                            
                            <label for="permissions" class="form-label">Assign Permissions</label>
            
                            <table class="table table-striped">
                                <thead>
                                    <th scope="col" width="1%"><input type="checkbox" name="all_permission"></th>
                                    <th scope="col" width="20%">Name</th>
                                    <th scope="col" width="1%">Guard</th> 
                                </thead>
            
                                @foreach($permissions as $permission)

                                <tr>
        
                                    <td>
        
                                        <input type="checkbox" 
        
                                        name="permission[{{ $permission->user_friendly_name }}]"
        
                                        value="{{ $permission->user_friendly_name }}"
        
                                        class='permission'>
        
                                    </td>
        
                                    <td>{{ $permission->user_friendly_name }}</td>
        
                                    <td>{{ $permission->guard_name }}</td>
        
                                </tr>
        
                            @endforeach
                            </table>
            
                            <button type="submit" class="btn btn-primary">Save changes</button>
                            <a href="{{ route('roles.index') }}" class="btn btn-default">Back</a>
                        </form>
                            </div>
         </div>
     </div>
    
    
@endsection



@section('script')
    <script type="text/javascript">
        $(document).ready(function() {
            $('[name="all_permission"]').on('click', function() {
                if($(this).is(':checked')) {
                    $('.permission').each(function() {
                        $(this).prop('checked',true);
                    });
                } else {
                    $('.permission').each(function() {
                        $(this).prop('checked',false);
                    });
                }
                
            });
        });
    </script>
@endsection