@extends('layouts.app')

@section('content') 
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Extra Services</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Extra Services</li>
        </ol>
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800"></h1>
            <a href="javascript:showMod()" class=" btn btn-sm btn-cleanly shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Add New</a>
    </div>
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                             <h5 class="card-title"><i class="fas fa-users-between-lines me-1"></i> Services List</h5>
                                 <div class="table-responsive">
                                 <table class="table table-striped" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Name</th>
                                                <th>Created Date</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                            </div>
         </div>
     </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Store Extra Service</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <form id="package_form" method="post">
                @csrf
                <input type="hidden" name="id" />
                  <div class="mb-3">
                    <label for="recipient-name" class="col-form-label">Name:</label>
                    <input type="text" required="" class="form-control" name="name" id="recipient-name">
                  </div>
                  
                  <div class="mb-3">
                    <label for="recipient-name" class="col-form-label">Price(USD):</label>
                    <input type="number" step=".01" required="" class="form-control" name="price" id="price">
                  </div>
                  
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button form="package_form" type="submit" class="btn btn-primary">Save</button>
              </div>
            </div>
          </div>
        </div>
    
@endsection

@section('script')
<script src="//cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/1.12.1/js/dataTables.bootstrap5.min.js"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover this role!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delService') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! Service successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}
function showMod()
{
    $("#package_form")[0].reset();
     $('input[name="id"]').val('');
     $("#exampleModal").modal('show');
}
function edit_entry(id)
{
    $("#package_form")[0].reset();
    
    blockUI();
    var url = "{{ url('extra-services') }}/"+id;
        $.get(url,function(res){
           // $("#loading").hide();
            $.unblockUI();
           //var obj  = JSON.parse(res);
          
            $('input[name="id"]').val(res.id);
            $('input[name="name"]').val(res.name);
            $('input[name="price"]').val(res.price);
              $("#exampleModal").modal('show');
        })
    
    
        
      
    
}
    $(document).ready(function(){
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('getExtraServices') !!}",
                    columns: [
                        { data: 'id', name: 'id' },
                        { data: 'name', name: 'name' },
                        { data: 'created_at', name: 'created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                $("#package_form").submit(function(){
                   
                        blockUI();
                        $.post('{{ route("extra-services.store") }}',$(this).serialize(),function(res){
                            $.unblockUI();
                            if(res=='1')
                            {
                                $("#package_form")[0].reset();
                                $("#exampleModal").modal('hide');
                                swal("Done! Data saved successfully!", {
                                    icon: "success",
                                });
                                $('#dataTable').DataTable().ajax.reload();
                            }else
                            {
                                swal("Error! error while saving!", {
                                    icon: "error",
                                });
                            }
                        });
                        return false;
                       });         
                        
                    });
        

</script>
@endsection