@extends('layouts.app')

@section('content') 
   
     <div class="container-fluid px-4">
     <h1 class="mt-4">Service Type</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Service Type</li>
        </ol>
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800"></h1>
            <a href="{{ route('service-type-cats.create') }}" class=""></a>
    </div>
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                                 <h5 class="card-title"><i class="fas fa-table"></i> Service Type Form</h5>
                                 
                                    <form action="" id="package_form" method="post">
                                    @csrf
                                    <input type="hidden" name="id" value="{{ @$service->id }}" />
                                    <input type="hidden" name="catremove" value="" />
                                    <input type="hidden" name="extremove" value="" />
                                        <div class="mb-3">
                                            <label class="form-label" for="inputEmail">Name of category (ex. bedroom)</label>
                                            <input type="text" name="name" value="{{ @$service->name }}" class="form-control"  placeholder="name" required />
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="inputEmail">Price (USD)</label>
                                            <input type="number" step=".01" name="price" value="{{ @$service->price }}" class="form-control"  placeholder="price" required />
                                        </div>
                                        
                                       <fieldset>
                                       
                                            <legend>Select Service Type catgories for this service type:</legend>
                                            <hr />
                                            <div class="row">
                                            <?php
                                                if($cats)
                                                {
                                                    $serviceCats = [];
                                                    $serviceCats2 = [];
                                                    if(isset($service->id))
                                                    {
                                                        $serviceCats = $service->catRelation()->pluck("cat_id","id");
                                                        if($serviceCats)
                                                        {
                                                            $serviceCats = $serviceCats->toArray();
                                                            $keys = array_keys($serviceCats);
                                                            $vals = array_values($serviceCats);
                                                           $serviceCats =  array_combine($vals,$keys);
                                                           $serviceCats2 =  array_combine($vals,$vals);
                                                        }
                                                      //l echo "<pre>";
                                                       // print_r($serviceCats2);
                                                        //echo "</pre>";
                                                     //  die();
                                                        
                                                    }
                                                    foreach($cats as $cat)
                                                    {
                                                        ?>
                                                        <div class="col-md-2">
                                                            <div class="custom-control form-check form-switch">    
                                                            <input {{  isset($serviceCats[$cat->id])?$serviceCats[$cat->id]:'disabled' }}  type="hidden"  name="typecatid[]" value="{{  @$serviceCats[$cat->id] }}">   
                                                              <input {{  @$serviceCats2[$cat->id]==$cat->id?'checked':'' }}  type="checkbox" id="typecat{{ $cat->id }}" name="typecat[]" value="{{ $cat->id }}" class="form-check-input">
                                                              <label class="custom-control-label" for="typecat{{ $cat->id }}">{{ $cat->name }}</label>
                                                            </div>
                                                        </div>
                                                        <?php
                                                    }
                                                }
                                            ?>
                                            </div>
                                            
                                       </fieldset>
                                       
                                       <fieldset>
                                      
                                            <legend>Select Extra services for this service type:</legend>
                                             <hr />
                                            <div class="row">
                                            <?php
                                                if($cats)
                                                {
                                                    $extCats = [];
                                                    $extCats2 = [];
                                                    if(isset($service->id))
                                                    {
                                                        $extCats = $service->extRelation()->pluck("extra_id",'id');
                                                        if($extCats)
                                                        {
                                                            $extCats = $extCats->toArray();
                                                          
                                                           $keys = array_keys($extCats);
                                                            $vals = array_values($extCats);
                                                           $extCats =  array_combine($vals,$keys);
                                                          //$extCats = array_flip($extCats);
                                                           $extCats2 =  array_combine($vals,$vals);
                                                        }
                                                        //echo "<pre>";
                                                   // print_r($extCats);
                                                       // echo "</pre>";
                                                       // die();
                                                    }
                                                    foreach($extra as $ext)
                                                    {
                                                        ?>
                                                        <div class="col-md-2">
                                                            <div class="custom-control form-check form-switch">
                                                            <input {{ isset($extCats[$ext->id])?$extCats[$ext->id]:'disabled' }}  type="hidden"  name="typeextid[]"  value="{{  @$extCats[$ext->id] }}"> 
                                                              <input {{  @$extCats2[$ext->id]==$ext->id?'checked':'' }}  type="checkbox" id="ext{{ $ext->id }}" name="extraservice[]" value="{{ $ext->id }}" class="form-check-input">
                                                              <label class="custom-control-label" for="ext{{ $ext->id }}">{{ $ext->name }}</label>
                                                            </div>
                                                        </div>
                                                        <?php
                                                    }
                                                }
                                            ?>
                                            </div>
                                            
                                       </fieldset>
                                           <hr />
                                        <button type="submit" class="btn btn-cleanly">Save</button>
                                    </form>
                            </div>
         </div>
     </div>

    
@endsection

@section('script')

<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>


function removePrice(obj,id='')
{
    
    
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover this!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delcatServicePrice') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! Price successfully deleted!", {
                    icon: "success",
                });
                $(obj).parent().parent().remove();
                
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}

function showMod()
{
    $("#package_form")[0].reset();
     $('input[name="id"]').val('');
     $("#exampleModal").modal('show');
}
var catRemove = [];
var extRemove = [];
 $(document).ready(function(){
        
                $('input[name="typecat[]"]').on("change",function(){
                    
                    if($(this).is(":checked"))
                    {
                        var index = catRemove.indexOf($(this).val());
                        //alert(index)
                            if (index !== -1) {
                            catRemove.splice(index, 1);
                            }
                            //$(this).closest('input[type="hidden"]').attr("disabled",false);
                            $(this).parent().find('input[type="hidden"]').attr("disabled",false);
                    }else
                    {
                        //$(this).closest('input[type="hidden"]').attr("disabled",true);
                        $(this).parent().find('input[type="hidden"]').attr("disabled",true);
                        catRemove.push($(this).val());
                    }
                    $('input[name="catremove"]').val(catRemove.toString());
                })
                
                $('input[name="extraservice[]"]').on("change",function(){
                    
                    if($(this).is(":checked"))
                    {
                        var index = extRemove.indexOf($(this).val());
                        //alert(index)
                            if (index !== -1) {
                              extRemove.splice(index, 1);
                            }
                           // $(this).closest('input[type="hidden"]').attr("disabled",false);
                           $(this).parent().find('input[type="hidden"]').attr("disabled",false);
                    }else
                    {
                        extRemove.push($(this).val());
                        $(this).parent().find('input[type="hidden"]').attr("disabled",true);
                    }
                    $('input[name="extremove"]').val(extRemove.toString());
                })
                
                $("#package_form").submit(function(){
                   
                        blockUI();
                        $.post('{{ route("service-type.store") }}',$(this).serialize(),function(res){
                            $.unblockUI();
                            if(res=='1')
                            {
                                $("#package_form")[0].reset();
                                $("#exampleModal").modal('hide');
                                swal("Done! Data saved successfully!", {
                                    icon: "success",
                                });
                                window.location = '{{  route("service-type.index") }}';
                            }else
                            {
                                swal("Error! error while saving!", {
                                    icon: "error",
                                });
                            }
                        });
                        return false;
                       });         
                        
                    });
        

</script>
@endsection