@extends('layouts.app')

@section('content') 

     <div class="container-fluid px-4">
     <h1 class="mt-4">Service Type Categories</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Service Type Categories</li>
        </ol>
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800"></h1>
            <a href="{{ route('service-type-cats.create') }}" class=""></a>
    </div>
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                                 <h5 class="card-title"><i class="fas fa-table"></i> Categories Form</h5>
                                 
                                    <form action="" id="package_form" method="post">
                                    @csrf
                                    <input type="hidden" name="id" value="{{ @$cat->id }}" />
                                        <div class="mb-3">
                                            <label class="form-label" for="inputEmail">Name of category (ex. bedroom)</label>
                                            <input type="text" name="name" value="{{ @$cat->name }}" class="form-control"  placeholder="name" required />
                                        </div>
                                        
                                        <label class="form-label" for="inputPassword">Add price per category</label>
                                        <div class="input-group  mb-3">
                                            
                                            <input  readonly="" type="number" class="form-control"  id="number_of_cats" placeholder=""  />
                                            
                                                <button type="button" onclick="addPrice()" class="input-group-text btn btn-success"><i class="fas fa-plus"></i></button>
                                            
                                        </div>
                                        
                                          <div class="pricingarea">
                                          <?php
                                          if(isset($cat->id))
                                          {
                                                $catPrices =  $cat->catPrices()->get();
                                                if($catPrices)
                                                {   $i = 1;
                                                    foreach($catPrices as $k => $price)
                                                    {
                                                        ?>
                                                                <div class="row mb-3">
                                                                    <input type="hidden" name="type_cat_p_id[]" value="{{ $price->id }}" />
                                                                    <label for="inputEmail" class="col-sm-2 col-form-label">Price for {{ $i }} {{$cat->name}}'s</label>
                                                                    <div class="col-sm-2">
                                                                    <input type="text"  name="label[]" class="form-control" value="{{ $price->label }}" placeholder="label for price field">
                                                                    </div> 
                                                                    <div class="col-sm-2">
                                                                    <input type="number" step=".01" oninput="validity.valid||(value='');" name="price[]" class="form-control" value="{{ $price->price }}" placeholder="ex. 10">
                                                                    </div> 
                                                                    <div class="col-sm-2">
                                                                        <button type="button" onclick="removePrice(this,{{ $price->id }})" class="input-group-text btn btn-danger"><i class="fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                        <?php
                                                        $i++;
                                                    }
                                                }
                                                
                                          }
                                          ?>
                                          </div>
                                        
                                        <button type="submit" class="btn btn-cleanly">Save</button>
                                    </form>
                            </div>
         </div>
     </div>

    
@endsection

@section('script')

<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
var num_price = Number({{ isset($cat->id)?count($catPrices):0 }});
function addPrice()
{
    var name = $('input[name="name"]').val();
   // var num = Number($(obj).val());
    //$('.pricingarea').html('');
    //for(var i=1;i<=num;i++)
    //{
        num_price = num_price+1;
        var i = num_price;
        var div = '<div class="row mb-3"><input type="hidden" name="type_cat_p_id[]" >';
            div += '<label for="inputEmail" class="col-sm-2 col-form-label">Price for '+i+" "+ name+'\'s</label>';
            div += '<div class="col-sm-2">';
            div += '<input type="text"  name="label[]" class="form-control"  placeholder="label for price field">';
            div += '</div>';
            div += '<div class="col-sm-2">';
            div += '<input type="number" step=".01" oninput="validity.valid||(value=\'\');" name="price[]" class="form-control" placeholder="ex. 10">';
            div += '</div>';
            div += '<div class="col-sm-2">';
            div += '<button type="button" onclick="removePrice(this)" class="input-group-text btn btn-danger"><i class="fas fa-trash"></i></button>';
           div += '</div>';
            div += '</div>';
           $('.pricingarea').append(div);
           
           
    //}
   
}
function removePrice(obj,id='')
{
    
    
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover this!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delcatServicePrice') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! Price successfully deleted!", {
                    icon: "success",
                });
                $(obj).parent().parent().remove();
                
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}

function showMod()
{
    $("#package_form")[0].reset();
     $('input[name="id"]').val('');
     $("#exampleModal").modal('show');
}
function edit_entry(id)
{
    $("#package_form")[0].reset();
    
    blockUI();
    var url = "{{ url('extra-services') }}/"+id;
        $.get(url,function(res){
           // $("#loading").hide();
            $.unblockUI();
           //var obj  = JSON.parse(res);
          
            $('input[name="id"]').val(res.id);
            $('input[name="name"]').val(res.name);
              $("#exampleModal").modal('show');
        })
    
    
        
      
    
}
    $(document).ready(function(){
        

                
                $("#package_form").submit(function(){
                   
                        blockUI();
                        $.post('{{ route("service-type-cats.store") }}',$(this).serialize(),function(res){
                            $.unblockUI();
                            if(res=='1')
                            {
                                $("#package_form")[0].reset();
                                $("#exampleModal").modal('hide');
                                swal("Done! Data saved successfully!", {
                                    icon: "success",
                                });
                                window.location = '{{  route("service-type-cats.index") }}';
                            }else
                            {
                                swal("Error! error while saving!", {
                                    icon: "error",
                                });
                            }
                        });
                        return false;
                       });         
                        
                    });
        

</script>
@endsection