@extends('layouts.app') 
@section('content')
<div class="d-sm-flex align-items-center justify-content-between mb-4">
	<h1 class="h3 mb-0 text-gray-800">
		Profile of {{ \App\Models\User::where("id",$user_id)->value('name') }}
	</h1>
</div>
<div class="row">
	<div class="col-md-12 col-lg-12">
		<ul class="nav nav-tabs" id="myTab" role="tablist">
			<li class="nav-item">
				<a class="nav-link active" id="home-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="true">Profile</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" id="profile-tab" data-toggle="tab" href="#location" role="tab" aria-controls="location" aria-selected="false">Location</a>
			</li>
		</ul>
		<div class="tab-content" id="myTabContent">
			<div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
				<div class="card shadow mb-4">
					<div class="card-header py-3">
						<h6 class="m-0 font-weight-bold text-primary">
							Profile
						</h6>
					</div>
					<div class="card-body">
						<form>
                        @if($profile->id_photo_front!='' && $profile->id_photo_back!='')
							<div class="form-row">
								<div class="form-group col-md-2">
									Front Photo
									<img class="rounded float-left img-fluid img-thumbnail" src="{{ $profile->id_photo_front }}" alt="Front Photo">
								</div>
								<div class="form-group col-md-2">
									Back Photo
									<img class="rounded float-left img-fluid img-thumbnail" src="{{ $profile->id_photo_back  }}" alt="Back Photo">
								</div>
								@if($profile->profile_pic!='')
							
								<div class="form-group col-md-2">
									Profile Photo
									<img class="rounded float-left img-fluid img-thumbnail" src="{{ $profile->profile_pic }}" alt="Profile Photo">
								</div>
							
                                @endif 
							</div>
							 
                           @endif 
                          
							<div class="form-row">
								<div class="form-group col">
									<label for="nameic">
										Name as per IC
									</label>
									<input type="text" class="form-control" id="name_on_ic" placeholder="Namer as per IC" value="{{ $profile->name_on_ic }}">
								</div>
								<div class="form-group col">
									<label for="nric">
										NRIC
									</label>
									<input type="text" class="form-control" id="nric" name="nric_no" placeholder="NRIC" value="{{ $profile->nric_no }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="referrals">
										Referrals
									</label>
									<input type="text" class="form-control" id="referrals" name="referral" placeholder="Referrals" value="{{ $profile->referral }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="gender">
										Gender
									</label>
									<select name="gender" id="gender" class="form-control">
										<option {{ $profile->
											gender=='male'?'selected':'' }} value="male">Male
										</option>
										<option {{ $profile->
											gender=='female'?'selected':'' }} value="female">Female
										</option>
										<option {{ $profile->
											gender=='other'?'selected':'' }} value="other">Other
										</option>
									</select>
								</div>
								<div class="form-group col">
									<label for="educational_lvl">
										Educational Level
									</label>
									<select name="educational_lvl" id="educational_lvl" class="form-control">
										<option {{ $profile->
											educational_lvl=='low'?'selected':'' }} value="low">Low
										</option>
										<option {{ $profile->
											educational_lvl=='medium'?'selected':'' }} value="medium">Medium
										</option>
										<option {{ $profile->
											educational_lvl=='high'?'selected':'' }} value="high">High
										</option>
									</select>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="income_lvl">
										Income level
									</label>
									<select name="income_lvl" id="income_lvl" class="form-control">
										<option {{ $profile->
											income_lvl=='low'?'selected':'' }} value="low">Low
										</option>
										<option {{ $profile->
											income_lvl=='medium'?'selected':'' }} value="medium">Medium
										</option>
										<option {{ $profile->
											income_lvl=='high'?'selected':'' }} value="high">High
										</option>
									</select>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="Country">
										Country
									</label>
									<input type="text" class="form-control" id="Country" name="country" placeholder="Country" value="{{ $profile->country }}">
								</div>
								<div class="form-group col">
									<label for="state">
										State
									</label>
									<input type="text" name="state" class="form-control" id="state" placeholder="State" value="{{ $profile->state }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="city">
										City
									</label>
									<input type="text" class="form-control" id="city" name="city" placeholder="city" value="{{ $profile->city }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<strong>
										Emergency Relation 1
									</strong>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="rel1_name">
										Name
									</label>
									<input type="text" class="form-control" id="rel1_name" name="rel1_name" placeholder="Name" value="{{ $profile->rel1_name }}">
								</div>
								<div class="form-group col">
									<label for="rel1">
										Relation
									</label>
									<input type="text" name="rel1" class="form-control" id="rel1" placeholder="Relation" value="{{ $profile->rel1 }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="rel1_phone">
										Phone Number
									</label>
									<input type="text" class="form-control" id="rel1_phone" name="rel1_phone" placeholder="Phone Number" value="{{ $profile->rel1_phone }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<strong>
										Emergency Relation 2
									</strong>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="rel2_name">
										Name
									</label>
									<input type="text" class="form-control" id="rel2_name" name="rel2_name" placeholder="Name" value="{{ $profile->rel2_name }}">
								</div>
								<div class="form-group col">
									<label for="rel1">
										Relation
									</label>
									<input type="text" name="rel2" class="form-control" id="rel2" placeholder="Relation" value="{{ $profile->rel2 }}">
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col">
									<label for="rel2_phone">
										Phone Number
									</label>
									<input type="text" class="form-control" id="rel2_phone" name="rel2_phone" placeholder="Phone Number" value="{{ $profile->rel2_phone }}">
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
			<div class="tab-pane fade" id="location" role="tabpanel" aria-labelledby="location-tab">
				<div class="card shadow mb-4">
					<div class="card-header py-3">
						<h6 class="m-0 font-weight-bold text-primary">
							Location Info
						</h6>
					</div>
					<div class="card-body">
						<div class="form-row">
							<div class="form-group col">
								<label for="city">
									City
								</label>
								<input type="text" class="form-control" id="city" name="city" placeholder="city" value="{{ $location->city }}">
							</div>
							<div class="form-group col">
								<label for="country">
									Country
								</label>
								<input type="text" class="form-control" id="country" name="country" placeholder="country" value="{{ $location->country }}">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col">
								<label for="district">
									District
								</label>
								<input type="text" class="form-control" id="district" name="district" placeholder="district" value="{{ $location->district }}">
							</div>
							<div class="form-group col">
								<label for="isoCountryCode">
									Iso country code
								</label>
								<input type="text" class="form-control" id="isoCountryCode" name="isoCountryCode" placeholder="isoCountryCode" value="{{ $location->isoCountryCode }}">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col">
								<label for="postalCode">
									Postal Code
								</label>
								<input type="text" class="form-control" id="postalCode" name="postalCode" placeholder="postal Code" value="{{ $location->postalCode }}">
							</div>
							<div class="form-group col">
								<label for="region">
									Region
								</label>
								<input type="text" class="form-control" id="region" name="region" placeholder="region" value="{{ $location->region }}">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col">
								<label for="street">
									Street
								</label>
								<input type="text" class="form-control" id="street" name="street" placeholder="postal Code" value="{{ $location->street }}">
							</div>
							<div class="form-group col">
								<label for="streetNumber">
									Street number
								</label>
								<input type="text" class="form-control" id="streetNumber" name="streetNumber" placeholder="streetNumber" value="{{ $location->streetNumber }}">
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection