@extends('layouts.app')

@section('content') 
    <link href="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet">  
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Notifications for ({{  $user->name }})</h1>
            <a href="javascript:showMod()" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Send New</a>
    </div>
    <div class="row">
    <div class="mt-2">
            @include('layouts.partials.messages')
    </div>
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Notification's List</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                 <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Title</th>
                                                <th>Message</th>
                                                <th>Seen</th>
                                                <th>Sent at</th>
                                                
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                        </div>
                    </div>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Notification Message</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="noti_form">
            @csrf
            <input type="hidden" name="id" value="" />
            <input type="hidden" name="user_id" value="{{ $user->id }}" />
            
              <div class="form-group" >
                <label for="interest" class="col-form-label">Notification Title:</label>
                    <input required class="form-control" name="title" />
              </div>
               
              <div class="form-group" >
                <label for="interest" class="col-form-label">Notification Message:</label>
                    <textarea required class="form-control" name="message"></textarea>
              </div>
              
              
             
              
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button form="noti_form" type="submit" class="btn btn-primary">Send</button>
          </div>
        </div>
      </div>
    </div>
@endsection

@section('script')
<script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script src="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function showMod()
{
    $("#noti_form")[0].reset();
    $('input[name="id"]').val('');
    $("#exampleModal").modal('show');
    
}
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover user!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delUser') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! User successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}
function login_client(x){
            window.location = "{{ route('login-client') }}?id="+x;
        }

    $(document).ready(function(){
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('slipNotilist') !!}?id={{ $user->id }}",
                    columns: [
                        { data: 'id', name: 'id' },
                        { data: 'title', name: 'title' },
                        { data: 'message', name: 'message' },
                        { data: 'seen', name: 'seen' },
                        //{ data: 'roles', name: 'roles.name' },
                        { data: 'created_at', name: 'created_at' },
                       // { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                $("#noti_form").submit(function(){
        blockUI();
        $.post('{{ route("sendNoti") }}',$(this).serialize(),function(res){
            $.unblockUI();
            if(res=='1')
            {
                $("#noti_form")[0].reset();
                $("#exampleModal").modal('hide');
                swal("Done! notification sent sucessfully!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while saving!", {
                    icon: "error",
                });
            }
        });
        return false;
       });  
        
    });
</script>
@endsection