@extends('layouts.app')

@section('content') 
    <link href="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet">  
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Referrals</h1>
            <!--<a href="{{ route('users.create') }}" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Add Admin</a>-->
    </div>
    <div class="row">
    <div class="mt-2">
            @include('layouts.partials.messages')
    </div>
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Referrals list of : {{ \App\Models\User::where("id",$user_id)->value('name') }}</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                 <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Name</th>
                                                <!--<th>Last Name</th>-->
                                                <th>Phone</th>
                                                <th>Created Date</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                        </div>
                    </div>
        </div>
    </div>
@endsection

@section('script')
<script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script src="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>

    $(document).ready(function(){
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('refList') !!}?id={{ $user_id }}",
                    columns: [
                        { data: 'id', name: 'users.id' },
                        { data: 'name', name: 'users.name' },
                        //{ data: 'last_name', name: 'last_name' },
                        { data: 'phone', name: 'users.phone' },
                        { data: 'created_at', name: 'user_mobile_profile.created_at' },
                        //{ data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
        
    });
</script>
@endsection
