@extends('layouts.app')

@section('content') 
    <link href="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet">  
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Withdraw History</h1>
            <a href="javascript:;" onclick='showMod()' class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Add withdraw</a>
    </div>
    <div class="row">
        <?php
         $balance  = number_format($totalCom-$withdrawSum,2);
        ?>

                        <!-- Earnings (Monthly) Card Example -->
                        <div class="col-xl-3 col-md-6 mb-4">
                            <div class="card border-left-primary shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                Total Withdraw</div>
                                            <div class="h5 mb-0 font-weight-bold text-gray-800">RM {{ number_format($withdrawSum,2)}}</div>
                                        </div>
                                        <div class="col-auto">
                                            <i class="fas fa-calendar fa-2x text-gray-300"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Earnings (Annual) Card Example -->
                        <div class="col-xl-3 col-md-6 mb-4">
                            <div class="card border-left-success shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                                Total Commision</div>
                                            <div class="h5 mb-0 font-weight-bold text-gray-800">RM {{ number_format($totalCom,2)}}</div>
                                        </div>
                                        <div class="col-auto">
                                            <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Tasks Card Example -->
                        <div class="col-xl-3 col-md-6 mb-4">
                            <div class="card border-left-info shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Current Balance
                                            </div>
                                            <div class="row no-gutters align-items-center">
                                                <div class="col-auto">
                                                    <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">RM {{ $balance }}</div>
                                                </div>
                                               
                                            </div>
                                        </div>
                                        <div class="col-auto">
                                            <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        
                    </div>
    <div class="row">
    <div class="mt-2">
            @include('layouts.partials.messages')
    </div>
        <div class="col-md-12 col-lg-12">
                <!-- DataTales Example -->
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Withdraw's List</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                 <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Amount</th>
                                                <th>Date</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                        </div>
                    </div>
        </div>
    </div>
     <div class="modal fade" id="exampleModal"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Add new withdraw</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="user_form">
            @csrf
            <input type="hidden" name="user_id" value="{{ $user_id }}" />
              <div class="form-group">
                <label for="amount" class="col-form-label">Amount:</label>
                <input required="" type="number" step=".01" name="amount" class="form-control" id="amount">
              </div>
              <div class="form-group">
                <label for="date" class="col-form-label">Date:</label>
                 <input required="" type="datetime-local" name="date" class="form-control" id="date">
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button form="user_form" type="submit" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>
@endsection

@section('script')
<script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script src="{{ url('public/theme/vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
function showMod()
{
   
    $("#exampleModal").modal("show");
    $("#user_form")[0].reset();
}
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover user!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delUser') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! User successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}

function edit_user(id)
{
    blockUI();
    $.get("{{ route('getmobUser') }}",{id:id},function(res){
        $.unblockUI();
        $("input[name='name']").val(res.name);
        $("input[name='user_id']").val(res.id);
        $("input[name='email']").val(res.email);
       
        $("#exampleModal").modal('show');
    })
}
    $(document).ready(function(){
        
        
         $("#user_form").submit(function(){
           var bal = Number('{{ $balance }}');
           if(bal<$('input[name="amount"]').val())
           {
               swal("Error! You cannot withdraw amount greater then your current balance!", {
                    icon: "error",
                });
                return false;
           }
        blockUI();
        $.post('{{ route("saveWithdraw") }}',$(this).serialize(),function(res){
            $.unblockUI();
            if(res=='1')
            {
                //$("#user_form")[0].reset();
                $("#exampleModal").modal('hide');
                swal("Done! Withdraw successfully saved!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }
            
            else
            {
                swal("Error! error while saving!", {
                    icon: "error",
                });
            }
        });
        return false;
       }); 
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('widthdrawList') !!}?id={{ $user_id }}",
                    columns: [
                        { data: 'id', name: 'id' },
                        { data: 'amount', name: 'amount' },
                        { data: 'date', name: 'date' },
                        //{ data: 'created_at', name: 'created_at' },
                        //{ data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
        
    });
</script>
@endsection
