@extends('layouts.app')

@section('content') 
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Billing Info</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ url('/dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Billing Info</li>
        </ol>
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800"></h1>
            <a href="javascript:showMod()" class=" btn btn-sm btn-cleanly shadow-sm">
            <i class="fas fa-plus fa-sm text-white-50"></i> Add Card</a>
    </div>
        <div class="mt-2">
            @include('layouts.partials.messages')
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                             <h5 class="card-title"><i class="fas fa-money-bill me-1"></i> Here are the payment methods linked to {{ Auth::User()->email }}</h5>
                                 <div class="table-responsive">
                                 <table class="table table-striped" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th>Card Type</th>
                                                <th>Last4</th>
                                                <th>Expiry Month</th>
                                                <th>Expiry Year</th>
                                                <th>Created At</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                    
                    
                                            <tbody>
                                            
                                            </tbody>
                                 </table>
                            </div>
                            </div>
         </div>
     </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Card Information</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <form id="package_form" method="post">
                @csrf
                <input type="hidden" name="id" />
                <input type="hidden" name="card" />
                
                    
                  <div class="row gy-3">
                      
            
                        <div class="col-md-12">
                          <label for="cc-number" class="form-label">Credit card number</label>
                          <input type="text" pattern="\d*" name="cc_number" maxlength="19" minlength="13" onkeyup="this.value=this.value.replace(/[^\d]/,'')" class="form-control" id="cc_number" placeholder="" required="">
                          
                          <div class="invalid-feedback log">
                            Credit card number is required
                          </div>
                        </div>
            
                        <div class="col-md-4">
                          <label for="cc-expiration"  class="form-label">Expiry Month</label>
                          <select class="form-control" name="exp_month"> 
                            <option value="01">01</option>
                            <option value="02">02</option>
                            <option value="03">03</option>
                            <option value="04">04</option>
                            <option value="05">05</option>
                            <option value="06">06</option>
                            <option value="07">07</option>
                            <option value="08">08</option>
                            <option value="09">09</option>
                            <option value="10">10</option>
                            <option value="11">11</option>
                            <option value="12">12</option>
                          </select>
                          <div class="invalid-feedback">
                            Expiration Month required
                          </div>
                        
                        </div>
                        
                         <div class="col-md-4">
                          <label for="cc-expiration" class="form-label">Expiry Year</label>
                          <select class="form-control" name="exp_year">
                            <?php
                          
                            foreach (range(2050, date('Y')) as $x) {
                                    print '<option value="'.$x.'">'.$x.'</option>';
                                }
                            ?>
                          </select>
                          <div class="invalid-feedback">
                            Expiration Year required
                          </div>
                        
                        </div>
            
                        <div class="col-md-4">
                          <label for="cc-cvv" class="form-label">CVC</label>
                          <input name="cc_cvc" pattern="\d*" maxlength="4" minlength='3' onkeyup="this.value=this.value.replace(/[^\d]/,'')" class="form-control" id="cc-cvv" placeholder="" required="">
                          <div class="invalid-feedback">
                            Security code required
                          </div>
                        </div>
                       
                        <div class="form-text">
                            Important Note: I authorize Cleanly to charge my credit card above for agreed upon purchases. I understand that my information will be saved to file for further transactions on my account.
                        </div>
                      </div>
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button form="package_form" type="submit" class="btn btn-primary">Save</button>
              </div>
            </div>
          </div>
        </div>
    
@endsection

@section('script')
<script src="//cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/1.12.1/js/dataTables.bootstrap5.min.js"></script>
<script src="//unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="{{ url('/theme/js/jquery.creditCardValidator.js') }}"></script>

<script>
var card = '';
var card_len = false;
function del_client(id)
{
    swal({
      title: "Are you sure?",
      text: "Once deleted, you will not be able to recover this role!",
      icon: "warning",
      buttons: true,
      dangerMode: true,
    })
    .then((willDelete) => {
      if (willDelete) {
        //$("#loading").show();
        blockUI();
        $.get("{{ route('delService') }}",{"id":id},function(res){
           // $("#loading").hide();
           $.unblockUI();
            if(res=='1')
            {
                 swal("Done! Service successfully deleted!", {
                    icon: "success",
                });
                $('#dataTable').DataTable().ajax.reload();
            }else
            {
                swal("Error! error while processing!", {
                    icon: "error",
                });
            }
        })
       
      } else {
        //swal("Your imaginary file is safe!");
      }
    });
}
function showMod()
{
    $("#package_form")[0].reset();
     $('input[name="id"]').val('');
     $("#exampleModal").modal('show');
}
function edit_entry(id)
{
    $("#package_form")[0].reset();
    
    blockUI();
    var url = "{{ url('extra-services') }}/"+id;
        $.get(url,function(res){
           // $("#loading").hide();
            $.unblockUI();
           //var obj  = JSON.parse(res);
          
            $('input[name="id"]').val(res.id);
            $('input[name="name"]').val(res.name);
            $('input[name="price"]').val(res.price);
              $("#exampleModal").modal('show');
        })
    
    
        
      
    
}

    $(document).ready(function(){
        
        $('#cc_number').validateCreditCard(function(result)
    {
        if(result.card_type!=null)
        {
            card = result.card_type.name
            card_len = result.length_valid
            
            $('input[name="card"]').val(card);
        }
        //console.log(result.card_type);
        /*alert('CC type: ' + result.card_type.name
          + '\nLength validation: ' + result.length_valid
          + '\nLuhn validation: ' + result.luhn_valid);*/
    });
        
        $('#dataTable').DataTable({
                    "order": [[ 0, 'desc' ]],
                     processing: true,
                    serverSide: true,
                    
                    ajax: "{!! Route('cardList') !!}",
                    columns: [
                        
                        { data: 'card_type', name: 'card_type' },
                        { data: 'last4', name: 'last4' },
                        { data: 'exp_month', name: 'exp_month' },
                        { data: 'exp_year', name: 'exp_year' },
                        { data: 'created_at', name: 'created_at' },
                        { data: 'action', name: 'action', orderable: false, searchable: false }
                        //{ data: 'updated_at', name: 'updated_at' }
                    ]
                    
                });
                
                $("#package_form").submit(function(){
                   
                        blockUI();
                        $.post('{{ route("saveCard") }}',$(this).serialize(),function(res){
                            $.unblockUI();
                            if(res=='1')
                            {
                                $("#package_form")[0].reset();
                                $("#exampleModal").modal('hide');
                                swal("Done! card saved successfully!", {
                                    icon: "success",
                                });
                                $('#dataTable').DataTable().ajax.reload();
                            }else
                            {
                                swal(res, {
                                    icon: "error",
                                });
                            }
                        });
                        return false;
                       });         
                        
                    });
        

</script>
@endsection