<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Cleanly - Admin Panel</title>
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" />
        <link href="<?php echo e(url('theme/css/styles.css')); ?>" rel="stylesheet" />
        <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
        <?php echo $__env->yieldContent('style'); ?>
    </head>
    <body class="sb-nav-fixed">
        <nav class="sb-topnav navbar navbar-expand navbar-light bg-light">
            <!-- Navbar Brand-->
            <a class="navbar-brand ps-3" href="<?php echo e(url('/dashboard')); ?>">  <img class="img-fluid" style="width: 50%;" src="<?php echo e(url('theme/images/logo.png')); ?>" /></a>
            <!-- Sidebar Toggle-->
            <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
            <!-- Navbar Search-->
            <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
                <div class="input-group">
                    <input class="form-control" type="text" placeholder="Search for..." aria-label="Search for..." aria-describedby="btnNavbarSearch" />
                    <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i class="fas fa-search"></i></button>
                </div>
            </form>
            <!-- Navbar-->
            <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="<?php echo e(url('profile')); ?>">Profile</a></li>
                        <li><a class="dropdown-item" href="#!">Settings</a></li>
                        <li><hr class="dropdown-divider" /></li>
                        <li>
                        <a class="dropdown-item" onclick="event.preventDefault();
									document.getElementById('logout-form').submit();">Logout</a>
                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
										<?php echo csrf_field(); ?>
									</form>
                        </li>
                    </ul>
                </li>
            </ul>
        </nav>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-light" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <div class="sb-sidenav-menu-heading">Core</div>
                            <a class="nav-link" href="<?php echo e(url('/dashboard')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                                Dashboard
                            </a>
                            <?php if(Auth::User()->user_role=='super' || Auth::User()->user_role=='support'): ?>
                            <div class="sb-sidenav-menu-heading">Platform Management</div>
                            <a class="nav-link" href="<?php echo e(url('/setting')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-sliders"></i></i></div>
                                Settings
                            </a>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('roles')): ?>
                            <div class="sb-sidenav-menu-heading">Back office Management</div>
                            <a class="nav-link" href="<?php echo e(url('/roles')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-users-between-lines"></i></div>
                                Roles
                            </a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('permissions')): ?>
                            <a class="nav-link" href="<?php echo e(url('/permissions')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-users-gear"></i></div>
                                Permissions
                            </a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('users')): ?>
                            <a class="nav-link" href="<?php echo e(url('/users')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-users"></i></div>
                                Users
                            </a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('customers')): ?>
                            <a class="nav-link" href="<?php echo e(url('/customers')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-users"></i></div>
                                Customers
                            </a>
                            <?php endif; ?>
                            
                            <div class="sb-sidenav-menu-heading">Modules</div>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('extra-services')): ?>
                            <a class="nav-link" href="<?php echo e(url('/extra-services')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-chart-area"></i></div>
                                Extra Servies's
                            </a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('service-type-cats')): ?>
                            <a class="nav-link" href="<?php echo e(url('/service-type-cats')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                Servies Type Categories
                            </a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('service-type')): ?>
                            <a class="nav-link" href="<?php echo e(url('/service-type')); ?>">
                                <div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                Servies Type's
                            </a>
                             <?php endif; ?>
                            <?php endif; ?>
                            
                            
                             <?php if(Auth::User()->user_role=='customer'): ?>
                             <div class="sb-sidenav-menu-heading">Booking Management</div>
                                <a class="nav-link" href="<?php echo e(url('/booking')); ?>">
                                    <div class="sb-nav-link-icon"><i class="fas fa-calendar"></i></i></div>
                                    Booking History
                                </a>
                                <a class="nav-link" href="<?php echo e(route('booking.create')); ?>">
                                    <div class="sb-nav-link-icon"><i class="fas fa-calendar-plus"></i></i></div>
                                    Book Now
                                </a>
                                <div class="sb-sidenav-menu-heading">Personal Info</div>
                                <a class="nav-link" href="<?php echo e(url('/addresses')); ?>">
                                    <div class="sb-nav-link-icon"><i class="fas fa-address-card"></i></i></div>
                                    Manage Addresses
                                </a>
                                
                                <a class="nav-link" href="<?php echo e(url('/billing-info')); ?>">
                                    <div class="sb-nav-link-icon"><i class="fas fa-credit-card"></i></i></div>
                                    Billing Info
                                </a>
                             <?php endif; ?>
                        </div>
                    </div>
                    <div class="sb-sidenav-footer">
                        <div class="small">Logged in as:</div>
                        <?php echo e(ucfirst(Auth::User()->name)); ?>

                    </div>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <?php echo $__env->yieldContent('content'); ?>
                </main>
                <footer class="py-4 bg-light mt-auto">
                    <div class="container-fluid px-4">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted">Copyright &copy; <?php echo e(env('APP_NAME')); ?> <?php echo e(date('Y')); ?></div>
                            <div>
                                <a href="#">Privacy Policy</a>
                                &middot;
                                <a href="#">Terms &amp; Conditions</a>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        <script
      src="//code.jquery.com/jquery-3.6.1.min.js"
      integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ="
      crossorigin="anonymous"></script>
        <script src="//cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery.blockUI/2.70/jquery.blockUI.min.js" integrity="sha512-eYSzo+20ajZMRsjxB6L7eyqo5kuXuS2+wEbbOkpaur+sA2shQameiJiWEzCIDwJqaB0a4a6tCuEvCOBHUg3Skg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        
  

      //Center the element
      $.fn.center = function () {
        this.css("position", "absolute");
        this.css("top", ($(window).height() - this.height()) / 2 + $(window).scrollTop() + "px");
        this.css("left", ($(window).width() - this.width()) / 2 + $(window).scrollLeft() + "px");
        return this;
      }
    
      //blockUI
      function blockUI() {
        $.blockUI({
          
          //message: '<div class="spinner"></div>',
          message: '<h2>Processing</h2>',
          baseZ: 1500,
          
        });
        $('.blockUI.blockMsg').center();
      }//end Blockui   
      //$(document).ajaxStart(blockUI).ajaxStop($.unblockUI);
    </script>              
        <?php echo $__env->yieldContent('script'); ?>
    </body>
</html>
<?php /**PATH C:\wamp64\www\cleanly\resources\views/layouts/app.blade.php ENDPATH**/ ?>