<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Login - <?php echo e(env("APP_NAME")); ?></title>
        <link href="<?php echo e(url('theme/css/styles.css')); ?>" rel="stylesheet" />
        <link href="<?php echo e(url('theme/images/favicon.png')); ?>" rel="shortcut icon" />
        <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
        <style>
        .bg-cleanly{
            --bs-bg-opacity: 1;
            background: rgb(251,99,136,0.2);
           
        }
        </style>
    </head>
    <body class="bg-cleanly">
        <div id="layoutAuthentication">
            <div id="layoutAuthentication_content">
                <main>
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-lg-5">
                                <div class="card shadow-lg border-0 rounded-lg mt-5">
                                    <div class="card-header" style="text-align: center;">
                                       
                                        <img class="img-fluid" style="width: 50%;" src="<?php echo e(url('theme/images/logo.png')); ?>" />
                                    </div>
                                    <div class="card-body">
                                        <form method="POST" action="<?php echo e(route('login')); ?>">
                                                <?php echo csrf_field(); ?>
                                                 <?php if(session('error')): ?>

                                                        <div class="alert alert-danger" role="alert">
                                        
                                                            <?php echo e(session('error')); ?>

                                        
                                                        </div>
                                        
                                                    <?php endif; ?>
                                            <div class="form-floating mb-3">
                                                <input class="form-control <?php echo e($errors->has('email') ? ' is-invalid' : ''); ?>" id="inputEmail" required="" name="email" type="email" placeholder="name@example.com" value="<?php echo e(old('email')); ?>" />
                                                <label for="inputEmail">Email address</label>
                                                 <?php if($errors->has('email')): ?>

                                                        <span class="invalid-feedback" role="alert">
                                    
                                                            <strong><?php echo e($errors->first('email')); ?></strong>
                                    
                                                        </span>
                                    
                                                    <?php endif; ?>
                                            </div>
                                            <div class="form-floating mb-3">
                                                <input class="form-control <?php echo e($errors->has('password') ? ' is-invalid' : ''); ?>" id="inputPassword" name="password" type="password" placeholder="Password" required="" />
                                                <label for="inputPassword">Password</label>
                                                <?php if($errors->has('password')): ?>

                                                    <span class="invalid-feedback" role="alert">
                                
                                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                
                                                    </span>
                                
                                                <?php endif; ?>
                                            </div>
                                            <div class="form-check mb-3">
                                                <input class="form-check-input" id="inputRememberPassword" type="checkbox" value="" />
                                                <label class="form-check-label" for="inputRememberPassword">Remember Password</label>
                                            </div>
                                            <div class="d-flex float-end mt-2 mb-0">
                                                <button class="btn btn-cleanly" type='submit'>Login</button>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="card-footer text-center py-3">
                                        <!--<div class="small"><a href="register.html">
                                            Need an account? Sign up!</a>
                                        </div>-->
                                        <a  class="btn btn-info" style="color: #fff;" href="<?php echo e(route('password.request')); ?>">Forgot Password?</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
            </div>
            <div id="layoutAuthentication_footer">
                <footer class="py-4 bg-light mt-auto">
                    <div class="container-fluid px-4">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted">Copyright &copy; <?php echo e(env("APP_NAME")); ?> <?php echo e(date('Y')); ?></div>
                            <div>
                                <a href="#">Privacy Policy</a>
                                &middot;
                                <a href="#">Terms &amp; Conditions</a>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
    </body>
</html>
<?php /**PATH F:\wamp64\www\cleanly\resources\views/auth/login.blade.php ENDPATH**/ ?>