<?php $__env->startSection('content'); ?> 
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Add new role and assign permissions.</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active">Roles</li>
        </ol>
        
        <div class="mt-2">
            <?php echo $__env->make('layouts.partials.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                             <h5 class="card-title"><i class="fas fa-users-between-lines me-1"></i> Add Role</h5>
                                  <?php if(count($errors) > 0): ?>
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                                <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
            
                        <form method="POST" action="<?php echo e(route('roles.store')); ?>">
                            
                            <?php echo csrf_field(); ?>
                            <div class="mb-3">
                                <label for="name" class="form-label">Name</label>
                                <input value="<?php echo e(old('name')); ?>" 
                                    type="text" 
                                    class="form-control" 
                                    name="name" 
                                    placeholder="Name" required>
                            </div>
                            
                            <label for="permissions" class="form-label">Assign Permissions</label>
            
                            <table class="table table-striped">
                                <thead>
                                    <th scope="col" width="1%"><input type="checkbox" name="all_permission"></th>
                                    <th scope="col" width="20%">Name</th>
                                    <th scope="col" width="1%">Guard</th> 
                                </thead>
            
                                <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                <tr>
        
                                    <td>
        
                                        <input type="checkbox" 
        
                                        name="permission[<?php echo e($permission->user_friendly_name); ?>]"
        
                                        value="<?php echo e($permission->user_friendly_name); ?>"
        
                                        class='permission'>
        
                                    </td>
        
                                    <td><?php echo e($permission->user_friendly_name); ?></td>
        
                                    <td><?php echo e($permission->guard_name); ?></td>
        
                                </tr>
        
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </table>
            
                            <button type="submit" class="btn btn-primary">Save changes</button>
                            <a href="<?php echo e(route('roles.index')); ?>" class="btn btn-default">Back</a>
                        </form>
                            </div>
         </div>
     </div>
    
    
<?php $__env->stopSection(); ?>



<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(function() {
            $('[name="all_permission"]').on('click', function() {
                if($(this).is(':checked')) {
                    $('.permission').each(function() {
                        $(this).prop('checked',true);
                    });
                } else {
                    $('.permission').each(function() {
                        $(this).prop('checked',false);
                    });
                }
                
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\cleanly\resources\views/admin/roles/create.blade.php ENDPATH**/ ?>