<?php $__env->startSection('content'); ?> 
    <link href="//cdn.datatables.net/1.12.1/css/dataTables.bootstrap5.min.css" rel="stylesheet">  
     <div class="container-fluid px-4">
     <h1 class="mt-4">Update a user.</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active">Users</li>
        </ol>
        
        <div class="mt-2">
            <?php echo $__env->make('layouts.partials.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
         </div>
         <div class="card mb-4">
                            
                            <div class="card-body">
                             <h5 class="card-title"><i class="fas fa-users me-1"></i> Edit User</h5>
                                  <?php if(count($errors) > 0): ?>
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> There were some problems with your input.<br><br>
                                <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
            
                        <form method="POST" action="<?php echo e(route('users.update', $user->id)); ?>">
                            <?php echo method_field('patch'); ?>
                            <?php echo csrf_field(); ?>
                            <div class="mb-3">
                                <label for="name" class="form-label">Name</label>
                                <input value="<?php echo e($user->name); ?>" 
                                    type="text" 
                                    class="form-control" 
                                    name="name" 
                                    placeholder="Name" required>
            
                                <?php if($errors->has('name')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('name')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3">
                                <label for="email" class="form-label">Email</label>
                                <input value="<?php echo e($user->email); ?>"
                                    type="email" 
                                    class="form-control" 
                                    name="email" 
                                    placeholder="Email address" required>
                                <?php if($errors->has('email')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('email')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3">
                                <label for="password" class="form-label">Password</label>
                                <input value="<?php echo e(old('password')); ?>"
                                    type="password" 
                                    class="form-control" 
                                    name="password" 
                                    placeholder="Password" >
                                <?php if($errors->has('password')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('password')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3">
                                <label for="role" class="form-label">Role</label>
                                <select class="form-control" 
                                    name="role" required>
                                    <option value="">Select role</option>
                                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($role->id); ?>"
                                            <?php echo e(in_array($role->name, $userRole) 
                                                ? 'selected'
                                                : ''); ?>><?php echo e($role->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('role')): ?>
                                    <span class="text-danger text-left"><?php echo e($errors->first('role')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3 float-end text-right">
                                
                                <button type="submit" class="btn btn-primary float-end">Save user</button>
                                <a href="<?php echo e(route('users.index')); ?>" class="btn btn-default float-end">Back</a>
                             </div>
                        </form>
                            </div>
         </div>
     </div>
    
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\cleanly\resources\views/admin/users/edit.blade.php ENDPATH**/ ?>